Subject: Re: [PATCH v4] add-patch: response to unknown command

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Apr 2024 14:13:47 -0700

Eric Sunshine <[email-masked]> writes:

> That was also the adopted solution to the cited similar example[1];
> git-worktree was changed to send all its chatty output to stderr[2],
> which was appropriate for that (non-interactive) case.
>
> [1]: https://lore.kernel.org/git/[email-masked]/
> [2]: https://lore.kernel.org/git/[email-masked]/

Hmph, what I just sent out tries to send everything to the standard
output stream.  For an interactive sesion, whether the interaction
is done over stdout or stderr does not really make much difference,
but I have a slight preference to use the stderr (because I view
prompts etc. in the same "chatty" class as the progress bar), but I
do not care enough to go back and redo the patch ;-)